<?php
namespace Common\Model;
use Common\Model\BaseModel;
/**
 * 权限规则model
 */
class ProductModel extends BaseModel{


	  // 自动验证
	protected $_validate=array(
	
	array('title','require','产品名称必填！',0),
	array('type', 'require', '产品分类还没有选择',0), 
	array('pricee', 'require', '产品价格还没有填写',0), 
	array('unit', 'require', '产品单位还没有填写',0), 
	array('category', 'require', '产品类型还没有选择',0), 
	
        );

	/**
	 * 删除数据
	 * @param	array	$map	where语句数组形式
	 * @return	boolean			操作是否成功
	 */
	public function deleteData($map){
		$count=$this
			->where(array('pid'=>$map['id']))
			->count();
		if($count!=0){
			return false;
		}
		$result=$this->where($map)->delete();
		return $result;
	}




}
